model{
  #for direct question (dq) and non-sensitive (ns) item
  for(i in 1:n.dqns){ 
    tmp.dqns[i] <- exp(int.nsi[town.id.dqns[i]]+inprod(xmat.dqns[i,],betas.nsi[1:nparam]))
    p.dqns[i] <- tmp.dqns[i]/(tmp.dqns[i]+1)
    y.dqns[i] ~ dbern(p.dqns[i])
  } 
  
  #for indirect question (iq) and sensitive item (si)
  for(i in 1:n.iqsi){ 
    #calculate probabilities for bernoulli distributions
    tmp1[i] <- exp(int.si[town.id.iqsi[i]]+inprod(xmat.iqsi[i,],betas.si[1:nparam]))
    p1[i] <- tmp1[i]/(1+tmp1[i])
    tmp0[i] <- exp(int.nsi[town.id.iqsi[i]]+inprod(xmat.iqsi[i,],betas.nsi[1:nparam]))
    p0[i] <- tmp0[i]/(1+tmp0[i])
    
    p1a[i] <-      pi.s*(p1[i]^y.iqsi[i])*((1-p1[i])^(1-y.iqsi[i]))
    p0a[i] <-  (1-pi.s)*(p0[i]^y.iqsi[i])*((1-p0[i])^(1-y.iqsi[i]))
    k[i] ~ dbern(p1a[i]+p0a[i])
  }
  
  #priors
  for(j in 1:nparam){
    betas.si[j]  ~ dnorm(0,1)
    betas.nsi[j]  ~ dnorm(0,1)
  }
  for (k in 1:ntowns){
    int.si[k]       ~ dnorm(0,0.1)
    int.nsi[k]      ~ dnorm(0,0.1)
  }
}
